> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# quotedocuments

> MDO provider for the list of current / candidate "main document" for a given quote

## "quotedocuments" MDO List

MDO provider for the list of current / candidate "main document" for a given quote

We need those document rows that point to documents connected to
the same sale as the quote record, with document template of type <see cref="F:SuperOffice.Data.DocTmplQuoteType.MainDocument" />,
and we'd like the id, header & long text please.

Pass in <b>QuoteId=\<id></b> to identify the quote you want documents for, in AdditionalInfo.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.QuoteDocuments">QuoteDocuments</see> class.
The name of the MDO list is 'quotedocuments'.

## Additional Attributes

| Description                 | Name    | Example Value |
| --------------------------- | ------- | ------------- |
| Quote to get documents for. | QuoteId | 123           |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/quotedocuments
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("quotedocuments", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "quotedocumentsheadings"
* "quotedocumentsheadingswithallitem"
* "quotedocumentsheadingswithallitemwithnoselection"
* "quotedocumentsheadingswithnoselection"
* "quotedocumentswithallitem"
* "quotedocumentswithallitemwithnoselection"
* "quotedocumentswithnoselection"


## Related topics

- [quotedocumentgroupfields](/en/api/mdo-providers/reference/quotedocumentgroupfields.md)
- [quotedocumentorderbyfields](/en/api/mdo-providers/reference/quotedocumentorderbyfields.md)
- [quotedocumenttype](/en/api/mdo-providers/reference/quotedocumenttype.md)
- [SuperOffice.WebApi.Data.QuotePublishDocuments](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuotePublishDocuments.md)
- [SuperOffice.WebApi.Data.Product](/en/api/reference/webapi/SuperOffice.WebApi.Data.Product.md)
- [NSProduct](/en/automation/crmscript/reference/CRMScript.NetServer.NSProduct.md)
